#========================================================================
# BAREBONES Makefile
#========================================================================
IMAGEID = 100
VERSION = 1
#========================================================================

TARGET_CHIP := NRF51822_QFAA_CA
#BOARD := BOARD_NRF6310
BOARD := P5BOARD_P5EM3

USE_SOFTDEVICE := S110

# source files
C_SOURCE_FILES = barebones.c \
p5_svc.c \
ble_advdata.c \
ble_conn_params.c \
app_timer.c \
softdevice_handler.c \
nrf_delay.c

PROJECT_NAME = BARE
OUTPUT_FILENAME = $(PROJECT_NAME)
CFLAGS += -D$(BOARD)
OUTPUT_PATH = $(PROJECT_NAME)
$(info OUTPUT_PATH = $(OUTPUT_PATH))
# generate default hardware configuration word for $(PROJECT_NAME) device

# see p5_hw.h for P5DEV_* contant values - included before for reference (remember - make ignores them - #...)
#define P5DEV_NRF6350   0x00000001
#define P5DEV_LCD1      0x00000002
#define P5DEV_LCD2      0x00000004
#define P5DEV_DEBUG_UART  0x00000008
#define P5DEV_NRF905    0x00000010
#define P5DEV_XPORT     0x00000020
#define P5DEV_STICK     0x00000040
#define P5DEV_LED     0x00000080
#define P5DEV_RED_LED   0x00000100
#define P5DEV_BATTERY   0x00000200
#define P5DEV_AUDIO     0x00000400
#define P5DEV_SCOPE     0x00000800
#define P5DEV_LED1      0x00001000
#define P5DEV_LED2      0x00002000
#define P5DEV_LED3      0x00004000
#define P5DEV_LED4      0x00008000
#define P5DEV_LED5      0x00010000
#define P5DEV_78M6631   0x00020000
#define P5DEV_78M6613   0x00040000
#define P5DEV_LED7      0x00100000
#define P5DEV_PCA10000    0x00200000
#define P5DEV_LCDVN     0x00400000
#define P5DEV_78M6631_UART  0x00800000
#define P5DEV_BUTTON    0x01000000
#define P5DEV_UART      0x02000000
#define P5DEV_NRF6310   0x04000000
#define P5DEV_DEBUG_SERVER  0x10000000
#define P5DEV_P5T3      0x20000000
#define P5DEV_EEPROM    0x40000000
#define P5DEV_SPI     0x80000000


HEXCONFIG_MAKEFILE = Makefile.barebones.mak
HEXCONFIG_RECIPE = \
	$(SREC_CAT) \
		-generate $(P5_CONFIG_DEV) $(P5_CONFIG_DEV_END) -constant-l-e 0 4 \
		-o $(HEXCONFIG) -intel

include Makefile.common.mak

