# Variables related to the flash memory map when the s110 softdevice is used
#
MAIN_CODE_START := 0x14000
MAIN_CODE_SIZE := 0x1A000

P5_CONFIG_DEV := 0x2EC20
P5_CONFIG_DEV_END := 0x2EC24
P5_CONFIG_SEQ := 0x2EC44
P5_CONFIG_SEQ_END := 0x2EC45
P5_CONFIG_PHASE := 0x2EC45
P5_CONFIG_PHASE_END := 0x2EC46
P5_CONFIG_LED_MODE := 0x2EC0E
P5_CONFIG_LED_MODE_END := 0x2EC0F
P5_CONFIG_LED_POWER := 0x2EC0F
P5_CONFIG_LED_POWER_END := 0x2EC10


IMAGEID_START := 0x2DFFC
VERSION_START := 0x2DFFD
IMAGECRC_START := 0x2DFFE

#
ICAST_MAP =  0x2E000
ICAST_MAP_END = 0x2E400

ICAST_STATUS = 0x2E800
ICAST_STATUS_PLUS_4 = 0x2E804
ICAST_STATUS_PLUS_8 = 0x2E808
ICAST_STATUS_PLUS_C = 0x2E80C
ICAST_STATUS_END = 0x2EC00

ICAST_BUFFER = 0x2F000        # MAIN_CODE_START + MAIN_CODE_SIZE + 0x1000
ICAST_BUFFER_LENGTH = 0x11000 # 0x40000 - ICAST_BUFFER

ICAST_MAP_ZEROS_END = 0x2E3E0 # put zeros from ICAST_MAP to here (3E0 zeros)
ICAST_STATUS_ZEROS_END = 0x2E804 # 4 bytes of zeros at ICAST_STATUS

ICAST_IMAGEID = 0x2E804
ICAST_IMAGEID_END = 0x2E805

ICAST_VERSION = 0x2E808
ICAST_VERSION_END = 0x2E809
ICAST_VERSION_ZEROS_END = 0x2E80C

# Define BLE stack to be in use for the image
#
CFLAGS += -DBLE_STACK_SUPPORT_REQD


