# Variables related to the flash memory map when the s110 softdevice is used
#
MAIN_CODE_START := 0x0
MAIN_CODE_SIZE := 0x1F000

P5_CONFIG_DEV := 0x1FC20
P5_CONFIG_DEV_END := 0x1FC24
P5_CONFIG_SEQ := 0x1FC44
P5_CONFIG_SEQ_END := 0x1FC45
P5_CONFIG_PHASE := 0x1FC45
P5_CONFIG_PHASE_END := 0x1FC46
P5_CONFIG_LED_MODE := 0x1FC0E
P5_CONFIG_LED_MODE_END := 0x1FC0F
P5_CONFIG_LED_POWER := 0x1FC0F
P5_CONFIG_LED_POWER_END := 0x1FC10

# (MAIN_CODE_START + MAIN_CODE_SIZE - 4)
#
IMAGEID_START := 0x1EFFC
# IMAGEID_START + 1
#
VERSION_START := 0x1EFFD
# VERSION_START + 1
#
IMAGECRC_START := 0x1EFFE

# MAIN_CODE_START + MAIN_CODE_SIZE 
#
ICAST_MAP = 0x1F000
# ICAST_MAP + 0x400
#
ICAST_MAP_END = 0x1F400

# ICAST_MAP_END + 0x400
# ICAST_STATUS + 0x4
# ICAST_STATUS + 0x8
# ICAST_STATUS + 0xC
ICAST_STATUS = 0x1F800
ICAST_STATUS_PLUS_4 = 0x1F804
ICAST_STATUS_PLUS_8 = 0x1F808
ICAST_STATUS_PLUS_C = 0x1F80C
# ICAST_STATUS + 0x400
#
ICAST_STATUS_END = 0x1FC00

# MAIN_CODE_START + MAIN_CODE_SIZE + 0x1000
ICAST_BUFFER = 0x20000
# 0x40000 - ICAST_BUFFER
ICAST_BUFFER_LENGTH = 0x20000

# put zeros from ICAST_MAP to here (3E0 zeros)
ICAST_MAP_ZEROS_END = 0x1F3E0
# 4 bytes of zeros at ICAST_STATUS
ICAST_STATUS_ZEROS_END = 0x1F804

ICAST_IMAGEID = 0x1F804
ICAST_IMAGEID_END = 0x1F805

ICAST_VERSION = 0x1F808
ICAST_VERSION_END = 0x1F809
ICAST_VERSION_ZEROS_END = 0x1F80C
